<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>Test of all nodes and MPI search users</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Test of nodes and search users </H1>

        <H2>Test Objectives</H2>
		<UL>
        <li>Verify that all ldas jobs can run on all nodes and with each search user
        </li>
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
        <li>All APIs are involved in dataPipeline commands</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>Test scripts 
		<UL><p>
        <li><CODE><font color='blue'><a href 'http://ldas-sw.ligo.caltech.edu/doc/userAPI/html/cmonClient.html'>cmonClient</a></font></li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/cntlmonAPI/tcl/server/user_commands.tcl?rev=HEAD;content-type=text%2Fplain'>user_commands.tcl</a></font></li>
		</UL>
        </li><p>
        <li>Miscellaneous frame data must be mounted on ldas system and known to diskcacheAPI: e.g. mount points in diskcacheAPI cache
        <pre><font color='brown'>
        scratch/frames 
        /scratch/mirror/frames
        /ldas_outgoing/frames/RDSVerify /scratch/test/frames 
        /ldas_outgoing/test/test_uncompressed 
        </font></pre>
        
        </ul>
        <H2>Test Execution</H2>

		<p>From cmonClient, select <b>Beowulf</b> -> <b>Check Users Nodes </b>
        You must be a control user to run the tests.<p>

		<H2>Test Validation:</H2>
        <ul>
        <li>Verify that all dataPipeline commands completed successfully and there are wrapper jobs for each search user as reported on cmonClient display.</li>
        <p>There is a log file <b>/ldas_outgoing/cntlmonAPI/nodesUsers.log </b> while test is being run.
        The output of this text is displayed on cmonClient when interim results are specified.
        
        <p> Example: <pre>
beowulf: ok 
beowulf: ok 
beowulf: ok 
beowulf: ok 
beowulf: ok 
beowulf: ok 
beowulf: ok 
beowulf: ok 
beowulf: ok 
06-20-2005 10:58:26: submitted 16 dataPipeline jobs for 16 search users,  each user to run on 9 nodes

16 jobs sent to ldas, 1 jobs received by ldas
16 jobs sent to ldas, 2 jobs received by ldas
16 jobs sent to ldas, 3 jobs received by ldas
16 jobs sent to ldas, 4 jobs received by ldas
16 jobs sent to ldas, 5 jobs received by ldas
16 jobs sent to ldas, 6 jobs received by ldas
16 jobs sent to ldas, 7 jobs received by ldas
16 jobs sent to ldas, 8 jobs received by ldas
16 jobs sent to ldas, 9 jobs received by ldas
16 jobs sent to ldas, 10 jobs received by ldas
16 jobs sent to ldas, 11 jobs received by ldas
16 jobs sent to ldas, 12 jobs received by ldas
16 jobs sent to ldas, 13 jobs received by ldas
16 jobs sent to ldas, 14 jobs received by ldas
16 jobs sent to ldas, 15 jobs received by ldas
16 jobs sent to ldas, 16 jobs received by ldas
LDAS-DEV48915717 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915719 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915718 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915720 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915721 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915723 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915722 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915724 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915725 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915727 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915729 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915731 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915726 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915730 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915732 -----------------<font color='#188a00'>PASS</font>
LDAS-DEV48915728 -----------------<font color='#188a00'>PASS</font>
<font color='#188a00'>06-20-2005 10:59:55: 16 jobs submitted,  16 passed, 0 failed</font>

checking mpi and wrapper logs for time period 803325519-803325608
Users without MPI job: 
Jobs without wrapper: 
<font color='#188a00'>06-20-2005 11:03:21: ALL USERS and NODES PASSED</font>
</pre>   
    </BODY>
</HTML>

